# $Revision: 1.2 $, $Date: 2011/03/13 08:35:47 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	HTTP
%define		pnam	Negotiate
%include	/usr/lib/rpm/macros.perl
Summary:	HTTP::Negotiate - choose a variant to serve
Summary(pl.UTF-8):	HTTP::Negotiate - wybór wariantu do serwowania
Name:		perl-HTTP-Negotiate
Version:	6.00
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTTP/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f2d89957d1c4f62a86f18b08e07c2328
URL:		http://search.cpan.org/dist/HTTP-Negotiate/
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTTP-Message >= 6
%endif
Requires:	perl-HTTP-Message >= 6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a complete implementation of the HTTP content
negotiation algorithm specified in draft-ietf-http-v11-spec-00.ps
chapter 12. Content negotiation allows for the selection of a
preferred content representation based upon attributes of the
negotiable variants and the value of the various Accept* header fields
in the request.

%description -l pl.UTF-8
Ten moduł udostepnia pełną implementację algorytmu negocjacji treści
HTTP opisanego w rozdziale 12 specyfikacji
draft-ietf-http-v11-spec-00.ps. Negocjacja treści pozwala na wybór
preferowanej reprezentacji treści w oparciu o atrybuty dostępnych
wariantów i wartości różnych pól nagłówków Accept* w żądaniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/HTTP/Negotiate.pm
%{_mandir}/man3/HTTP::Negotiate.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTTP-Negotiate.spec,v $
Revision 1.2  2011/03/13 08:35:47  qboosh
- don't package README (just a copy of man page)
- versioned Requires

Revision 1.1  2011/03/12 20:52:56  qboosh
- new
